MyBB ratethread.php「rating」パラメーターのSQLi

high Nessus プラグイン ID 19716

概要

リモートのWebサーバーでホストしているPHPアプリケーションは、SQLインジェクションの脆弱性の影響を受けます。

説明

リモートホストにインストールされているMyBBのバージョンは、ratethread.phpスクリプトの「rating」パラメーターに対するユーザー指定の入力の不適切なサニタイズが原因で、SQLインジェクションの脆弱性の影響を受けます。リモートの攻撃者がこの問題を悪用してSQLクエリを操作できるため、機密情報の漏洩やデータの変更につながります。

ソリューション

PHPの「magic_quotes_gpc」設定を有効にします。

関連情報

https://seclists.org/bugtraq/2005/Dec/285

プラグインの詳細

深刻度: High

ID: 19716

ファイル名: mybb_rating_sql_injection.nasl

バージョン: 1.27

タイプ: remote

ファミリー: CGI abuses

公開日: 2005/9/17

更新日: 2022/4/11

構成: 徹底的なチェックを有効にする

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 7.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:H/RL:U/RC:ND

脆弱性情報

CPE: cpe:/a:mybb:mybb

必要な KB アイテム: www/PHP, installed_sw/MyBB

エクスプロイトが利用可能: true

エクスプロイトの容易さ: No exploit is required

脆弱性公開日: 2005/12/9

参照情報

CVE: CVE-2005-4200

BID: 14786